VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::cis::tagging::TagTypes::UpdateSpec Class Reference

The `Tag.UpdateSpec` class describes the updates to be made to an existing tag. More...

List of all members.

## Public Member Functions
| UpdateSpec ()
| Creates a default new instance.
string | GetName ()
| The display name of the tag.
void | SetName (string name)
| The display name of the tag.
string | GetDescription ()
| The description of the tag.
void | SetDescription (string description)
| The description of the tag.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Tag.UpdateSpec` class describes the updates to be made to an existing tag.

Use the Tag.Update method to modify a tag. When you call the method, you specify the tag identifier. You obtain the tag identifier when you call the Tag.Create method. You can also retrieve an identifier by using the Tag.List method.

## Constructor & Destructor Documentation

vmware::cis::tagging::TagTypes::UpdateSpec::UpdateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::cis::tagging::TagTypes::UpdateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::cis::tagging::TagTypes::UpdateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::cis::tagging::TagTypes::UpdateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::cis::tagging::TagTypes::UpdateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::cis::tagging::TagTypes::UpdateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::cis::tagging::TagTypes::UpdateSpec::Equals | ( | object | obj | ) | `[inline]`

string vmware::cis::tagging::TagTypes::UpdateSpec::GetDescription | ( |  | ) | `[inline]`

The description of the tag.

override int vmware::cis::tagging::TagTypes::UpdateSpec::GetHashCode | ( |  | ) | `[inline]`

string vmware::cis::tagging::TagTypes::UpdateSpec::GetName | ( |  | ) | `[inline]`

The display name of the tag.

void vmware::cis::tagging::TagTypes::UpdateSpec::SetDescription | ( | string | description | ) | `[inline]`

The description of the tag.

void vmware::cis::tagging::TagTypes::UpdateSpec::SetName | ( | string | name | ) | `[inline]`

The display name of the tag.

override string vmware::cis::tagging::TagTypes::UpdateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- TagTypes.cs